--
-- Acros
-- Specialization for acros mod na ventelator
--
-- @author:....
-- perepiska pod acros : Foit
-- @date  0    1/11/12
--  
-- Copyright (C) RNMT.WWWW.fs-mod.3dn.ru

ventelator = {};

function ventelator.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ventelator:load(savegame)
       self.ventelator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator1#index"));
end;

function ventelator:delete()
end;

function ventelator:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ventelator:keyEvent(unicode, sym, modifier, isDown)
end;

function ventelator:update(dt)
    if self.isMotorStarted then
                 rotate(self.ventelator1, dt*0.01,0, 0, 0 );
    end;

end;

function ventelator:draw()
end;

